%define module  Class-Data-Inheritable
%define name    perl-%{module}
%define version 0.05
%define release %mkrel 1
%define	pdir	Class

Name: 		    %{name}
Version: 	    %{version}
Release: 	    %{release}
Summary: 	    Inheritable, overridable class data
License: 	    GPL or Artistic
Group: 		    Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/WWW/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildArch: 	    noarch
BuildRoot: 	    %{_tmppath}/%{name}-%{version}

%description
Class::Data::Inheritable is for creating accessor/mutators to class data. That
is, if you want to store something about your class as a whole (instead of
about a single object). This data is then inherited by your subclasses and can
be overriden.

%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2007.0
- New version 0.05
- spec cleanup

* Mon Sep 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.04-1mdk
- New release 0.04

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.02-7mdk
- rebuild

* Tue Aug 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.02-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- bzip2 source

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-5mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.02-4mdk
- rebuild

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-3mdk
- fix requires

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-2mdk
- rebuild for new perl

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-1mdk
- Peter Chen <petechen@netilla.com> :
	- 0.02

